.reveal *:not(pre)>code {
    display: inline-block;
    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.3);
    line-height: 1.2em;
    font-size: 0.55em;
    white-space: pre;
    overflow: auto;
    padding: 5px;
    word-wrap: normal;
    vertical-align: middle;
}

.reveal pre code {
    max-height: 70%;
}

.reveal .inline .fragment {
    display: inline-block;
}

.clearfix:after {
    content:" ";
    display:block;
    clear:both;
}

.reveal .code-left {
    float: left;
    width: 70%;
}

.reveal .output-right {
    float: right;
    width: 30%;
    background: #eee8d5;
    color: #002b36;
    margin: 20px auto;
}

.red {
    color: red;
}

.reveal .stop, .reveal .stop * {
    color: magenta;
    text-shadow:
        -3px -3px 1px #000,
        3px -3px 1px #000,
        -3px 3px 1px #000,
        3px 3px 1px #000;
}

button {
    display: inline-block;
    font-weight: 400;
    line-height: 1.25;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    user-select: none;
    border: 1px solid #0275d8;
    padding: .5rem 1rem;
    font-size: 1rem;
    border-radius: .25rem;
    color: #fff;
    background-color: #0275d8;
    margin: 5px;
}